/* SPDX-FileCopyrightText: 2003-2010 Jesper K. Pedersen <blackie@kde.org>

   SPDX-License-Identifier: GPL-2.0-or-later
*/
#ifndef EXIFMODE_H
#define EXIFMODE_H

#include <QFlags>

namespace DB
{

enum EXIFMODE_FLAG {
    EXIFMODE_DATE = 0x01,
    EXIFMODE_ORIENTATION = 0x02,
    EXIFMODE_DESCRIPTION = 0x04,
    EXIFMODE_FORCE = 0x08,
    EXIFMODE_USE_IMAGE_DATE_IF_INVALID_EXIF_DATE = 0x10,
    EXIFMODE_DATABASE_UPDATE = 0x20,
    EXIFMODE_INIT = EXIFMODE_DATE | EXIFMODE_ORIENTATION | EXIFMODE_DESCRIPTION | EXIFMODE_USE_IMAGE_DATE_IF_INVALID_EXIF_DATE | EXIFMODE_DATABASE_UPDATE
};

Q_DECLARE_FLAGS(ExifMode, EXIFMODE_FLAG)
}

Q_DECLARE_OPERATORS_FOR_FLAGS(DB::ExifMode)
#endif /* EXIFMODE_H */

// vi:expandtab:tabstop=4 shiftwidth=4:
