/* SPDX-FileCopyrightText: 2003-2010 Jesper K. Pedersen <blackie@kde.org>

   SPDX-License-Identifier: GPL-2.0-or-later
*/
#include "ThumbnailComponent.h"

#include "ThumbnailFactory.h"

ThumbnailView::ThumbnailComponent::ThumbnailComponent(ThumbnailFactory *factory)
    : m_factory(factory)
{
}

ThumbnailView::ThumbnailModel *ThumbnailView::ThumbnailComponent::model()
{
    return m_factory->model();
}

ThumbnailView::CellGeometry *ThumbnailView::ThumbnailComponent::cellGeometryInfo()
{
    return m_factory->cellGeometry();
}

ThumbnailView::ThumbnailWidget *ThumbnailView::ThumbnailComponent::widget()
{
    return m_factory->widget();
}

const ThumbnailView::ThumbnailModel *ThumbnailView::ThumbnailComponent::model() const
{
    return m_factory->model();
}

const ThumbnailView::CellGeometry *ThumbnailView::ThumbnailComponent::cellGeometryInfo() const
{
    return m_factory->cellGeometry();
}

const ThumbnailView::ThumbnailWidget *ThumbnailView::ThumbnailComponent::widget() const
{
    return m_factory->widget();
}

// vi:expandtab:tabstop=4 shiftwidth=4:
